Bug 533247 - clvmd initscript [LSB|FedoraGuidelines] compliance
clvmd initscript [LSB|FedoraGuidelines] compliance
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lvm2-cluster (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Fabio Massimo Di Nitto
Corey Marthaler
:
Depends On:
Blocks: InitScriptsProject 553381
  Show dependency treegraph
 
Reported: 2009-11-05 14:12 EST by Nate Straz
Modified: 2010-03-11 12:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 553381 (view as bug list)
Environment:
Last Closed: 2010-02-26 08:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from Fabio (4.72 KB, patch)
2010-02-04 10:14 EST, Christine Caulfield
no flags Details | Diff

  None (edit)
Description Nate Straz 2009-11-05 14:12:51 EST
Description of problem:

This is a list of issues for the clvmd init script when compared with the criteria in 
https://fedoraproject.org/wiki/Packaging/SysVInitScript

Version-Release number of selected component (if applicable):
lvm2-cluster-2.02.53-2.fc12.i686


LSB Header is missing Description: section

Missing required action force-reload

Missing required action try-restart and condrestart

`service clvmd` should have exit status 2, currently 1.

Exit status for an invalid action should be 2, currently 1.


Questions:
 Should clvmd start up if the locking method is set to "1" for local locking?
Comment 1 Nate Straz 2009-11-11 17:41:42 EST
Should the clvmd init script require cman is already started?  If so, it should be included in the LSB header.
Comment 2 Bug Zapper 2009-11-16 10:09:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christine Caulfield 2010-02-04 10:14:22 EST
Created attachment 388811 [details]
Patch from Fabio

- fix whitespaces all over (tabs/spaces)
- use secure path
- remove hardcoding of paths for tools
- increase timeout to 30 secs (on Chrissie request)
- source both cluster and clvmd for options (like all the other cluster
init scripts)
- add clustered_vgs and _lvs commodity fns
- move rh_status* fns at the top, so they can be reused
- heavily cleanup start and stop fns from redundant code and unnecessary
loops
- drop wait_for_finish. According to docs killproc will send first
specified signals and then SIGKILL and do the way for us.
- improve output from status
- make the init script lsb compliant

Please review and let me know if we need to add more changes.

Both Chrissie and I have tested this new version.

Fabio
Comment 4 Fabio Massimo Di Nitto 2010-02-26 08:09:17 EST
A new version of the init script has been committed in upstream CVS.

Note You need to log in before you can comment on or make changes to this bug.